Subject: Re: [Tzdist] #10 We should truncate (entirely) truncation ;-)

From: Tim Parenti <[email-masked]>
Date: Wed, 1 Oct 2014 19:10:52 -0400

On a similar point, elsewhere in 3.4 we have:

CURRENT:

To avoid having to send unnecessary data, servers are allowed to truncate
> time zone data to a range determined by start and end point date and time
> values, and provide only offsets and rules between those points.  The
> server will need to advertise the ranges it is using so that clients can
> take appropriate action if they need time zone data for times outside of
> those ranges.
>

It's not clear to me what it means to "advertise the ranges".  I'm assuming
we mean that the servers must include notice of the truncation ranges it is
using in any response it gives.  Perhaps we should make that a bit stronger?

PROPOSED:

To avoid having to send unnecessary data, servers MAY elect to truncate
> time zone data to a range determined by start and end point date and time
> values, and provide only offsets and rules between those points.  If such
> truncation is implemented, the server MUST include the ranges it is using
> within its responses, so that clients can take appropriate action if they
> need time zone data for times outside of those ranges.
>

--
Tim Parenti

On 26 September 2014 12:53, Cyrus Daboo <[email-masked]> wrote:

> Hi Lester,
>
> --On September 25, 2014 at 12:21:58 AM +0100 Lester Caine <
> [email-masked]> wrote:
>
>  OLD
>>> Time zones and daylight saving times rules have been in use for over
>>> a century.  Time zone data can thus contain a large amount of
>>> "historical" information that may not be relevant for a particular
>>> server's intended clients.
>>>
>>> NEW
>>> Time zone data can contain information about past and future UTC offsets
>>> that may not be relevant for a particular server's intended clients.
>>>
>>
>> This simplification makes sense.
>>
>
> I think most people are in agreement with this new wording so I will make
> the change in my working copy.
>
> --
> Cyrus Daboo
>
>
> _______________________________________________
> Tzdist mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tzdist
>

---

From: Daniel Migault <[email-masked]>
Date: Thu, 23 Oct 2014 17:27:42 +0200

Dear Friends and Colleagues,

The proposed text for version 02 is:

   To avoid having to send unnecessary data, servers can choose to
   truncate time zone data to a range determined by start and end point
   date and time values, and provide only offsets and rules between
   those points.  If such truncation is done, the server MUST include
   the ranges it is using in the "capabilities" action response (see
   Section 7.1 <http://tools.ietf.org/html/draft-ietf-tzdist-service-02#section-7.1>),
so that clients can take appropriate action if they
   need time zone data for times outside of those ranges.

Do we have agreement with this text?

BR

Daniel

On Thu, Oct 2, 2014 at 1:10 AM, Tim Parenti <[email-masked]> wrote:

> It's not clear to me what it means to "advertise the ranges".  I'm
> assuming we mean that the servers must include notice of the truncation
> ranges it is using in any response it gives.  Perhaps we should make that a
> bit stronger?
>
> PROPOSED:
>

-- 
Daniel Migault
Orange Labs -- Security
+33 6 70 72 69 58